Runs session start and eKYC verification in parallel and fires finish-status asynchronously, returning once both the start and eKYC legs have resolved.
Unified start + eKYC + finish (low-latency)
https://demo-api.incodesmile.com/omni/externalVerification/ekyc/unifiedHeaders
Request body
application/json
Fields used to initialize the onboarding session (same shape as /omni/start).
Language code to be used when doing speech to text. Possible values: en-US, es-ES, pt-BR.
Id that identifies user in clients system should be used for externalId. (Deprecated, use externalCustomerId instead)
Id that identifies user in clients external system.
uuid key used in redis, can be used as an alternative to sending interviewId.
Id of the flow to be used for this onboarding.
Url the user will be redirected to after finishing the onboarding successfully.
Optional integration reference.
Url uuid key used in redis. Will be validated in start if qrPhishingResistance is ON.
Used to send any additional information in key value pair format. Max fields: {maxEntries}, max key length: {keyMaxLength}, max value length: {valueMaxLength}
Fields used for the eKYC verification (same shape as /omni/externalVerification/ekyc).
kycThe following special characters are not supported: `^±!@£$%&*_+¡€#¢§¶•ªº«<>?\\/:;\
The following special characters are not supported: `^±!@£$%&*_+¡€#¢§¶•ªº«<>?\\/:;\
The following special characters are not supported: `^±!@£$%&*_+¡€#¢§¶•ªº«<>?\\/:;\
The following special characters are not supported: `^±!@£$%&*_+¡€#¢§¶•ªº«<>?\\/:;\
ISO 3166-1 alpha-2 format
Use E.164 format. Hyphens are optional
Indian Permanent Account Number (PAN), format: AAAAANNNNA
District or Barangay (neighbourhood), used for Philippines KYC
National ID type. Supported for Philippines KYC: SSS, TIN, GSIS
ID document issue date. Required for Colombia Civil Register (CO_CIVIL_REGISTER_1) KYC
When true (default), finish-session runs asynchronously after the response is sent.
Responses
Response body (application/json)
Identifier of the onboarding session created by /start.
JWT token for subsequent calls (X-Incode-Hardware-Id header).
Short onboarding code from /start.
Flow type of the configuration used.
configurationflowworkfloweKYC verification result.
Indicates a type of risk, such as addressRiskLevel. The overallLevel key name is an aggregate risk score for all risk types. It can be used to obtain a single risk score for a whole result set.
Explains the risk level, ie "low", "medium", or "high". When doing a social security number check, the API will return status values of nomatch, fuzzy or exact. Fuzzy means there is plausible match between the name and the social security number, like Dave and David both resolve to the same SSN.
Additional info on the status.
Indicates a type of risk, such as addressRiskLevel. The overallLevel key name is an aggregate risk score for all risk types. It can be used to obtain a single risk score for a whole result set.
Explains the risk level, ie "low", "medium", or "high". When doing a social security number check, the API will return status values of nomatch, fuzzy or exact. Fuzzy means there is plausible match between the name and the social security number, like Dave and David both resolve to the same SSN.
Additional info on the status.
Status of the eKYC verification: SUCCESS, TIMEOUT, or ERROR.
SUCCESSTIMEOUTERRORTrue when finish-session was queued for asynchronous processing.
Response body (application/json)
UTC timestamp in milliseconds
Custom error code or HTTP status code
HTTP status error
Custom error message
Endpoint path
Custom error details